routes/web.php
<?php

// Role permission ada di app/Http/helper.php
// file composer.json "files"
// middleware CheckPermission
// menambah role di helper.php
// make:model <directory>/modelname
Auth::routes();//default auth
Route::get('logout', '\App\Http\Controllers\Auth\LoginController@logout'); // kalau mau logout pakai route ini

Route::get('/', function () {
    return redirect()->route('login');
});


Route::group(['middleware' => ['auth', 'disablepreventback']], function(){
/*
  !!! semua wajib masuk sini supaya kalau mau akses harus login dulu !!!
  kalau page yang tidak butuh login di taruh di atas !!!
  kalau mau akses page untuk user tertentu pakai middleware checkPermission: namarole
*/
        // User Controllers
        Route::resource('user', 'UserController');
        //routing khusus wilayah
        Route::get('wilayah/kota','GmfControlller@getKota')->name('kota');
        Route::get('wilayah/kecamatan','GmfControlller@getKecamatan');
        Route::get('wilayah/kelurahan', 'GmfControlller@getKelurahan');

        Route::get('/home', 'HomeController@index')->name('home'); //sukses login arahnya ke sini
        Route::post('password/reset', 'ProfileController@resetpassword');
        Route::get('password/form', 'ProfileController@formreset');
        Route::post('profile/avatar', 'ProfileController@avatar')->name('avatar');
        Route::post('profile/{id}', 'ProfileController@biodata');
        //Mitra
        Route::resource('mitra', 'MitraController');

        //GMF
        Route::resource('gmf', 'GmfControlller');
        Route::get('gmf/kota', 'GmfControlller@getKota');
        Route::get('gmf/data', 'GmfControlller@getGmf');


        //siswa
        Route::resource('siswa', 'SiswaController');
        //dewasa
        Route::get('siswa_dewasa','SiswaController@index_dewasa');
        Route::post('/siswa_dewasa','SiswaController@store_dewasa');
        // Route::get('/siswa_dewasa/create','SiswaController@create_dewasa');
        Route::get('/siswa_dewasa/{siswa_dewasa}','SiswaController@show_dewasa');
        Route::delete('/siswa_dewasa/{siswa_dewasa}','SiswaController@destroy_dewasa');
        Route::put('/siswa_dewasa/{siswa_dewasa}','SiswaController@update_dewasa');
        Route::get('/siswa_dewasa/{siswa_dewasa}/edit','SiswaController@edit_dewasa');

        //siswa-end

        Route::group(['middleware' => 'check-permission:admin'], function()
        {
            Route::resource('admin', 'AdminController');
        });
        Route::resource('profile', 'ProfileController');

Route::get('admin',['middleware'=>'check-permission:gmf','uses'=>'HomeController@index']);
//Route::resource('mitra', 'MitraController')->middleware('check-permission:cabang'); // contoh penggunaan middleware
});

resources/views/home.blade.php
@extends('layouts.app')
@section('css')

@endsection
@section('content')

@endsection
@section('javascript')

@endsection

resources/views/profile.blade.php
@extends('layouts.app')
@section('css')
  <!-- Notification.css -->
      <link rel="stylesheet" type="text/css" href="{{asset('assets/pages/notification/notification.css')}}">
      <!-- Animate.css -->
    <link rel="stylesheet" type="text/css" href="{{asset('assets/css/animate.css/css/animate.css')}}">
@endsection
@section('header')
<h5 class="m-b-10">Profile</h5>
<p class="m-b-0">user profile</p>
@endsection
@section('breadcrumb')
<ul class="breadcrumb-title">
    <li class="breadcrumb-item">
        <a href="index.html"> <i class="ti-user"></i> </a>
    </li>
    <li class="breadcrumb-item"><a href="#!">Profile</a>
    </li>
</ul>
@endsection
@section('content')
<div class="row">
  {{-- card 1 --}}
    <div class="col-md-8">
        <div class="card">
          <div class="card-header">
            <h5>Profil User</h5>
            <button id="btnSave" class="btn waves-effect waves-light btn-success btn-icon" style="position:absolute;right:10px;top:15px"><i class="ti-pencil"></i></button>
            <button id="btnEdit" class="btn waves-effect waves-light btn-warning btn-icon" style="position:absolute;right:10px;top:15px"><i class="ti-pencil"></i></button>

          </div>
          <div class="card-block">
            <form id="formProfile" class="" action="{{ route('profile.update',auth::user()->id) }}" method="post">
              @csrf
              @method('PUT')
              <div class="form-group row">
                <label class="col-sm-2 col-form-label">Nama</label>
                <div class="col-sm-10">
                  <input type="text" name="nama" class="edit form-control" value="{{ auth::user()->name }}" readonly>
                </div>
              </div>
              <div class="form-group row">
                <label class="col-sm-2 col-form-label">Username</label>
                <div class="col-sm-10">
                  <input type="text" name="username" class="edit form-control" value="{{ auth::user()->username }}" readonly>
                </div>
              </div>
              <div class="form-group row">
                <label class="col-sm-2 col-form-label">Email</label>
                <div class="col-sm-10">
                  <input type="email" name="email" class="edit form-control" value="{{ auth::user()->email }}" readonly>
                </div>
              </div>
              <div class="form-group row">
                <label class="col-sm-2 col-form-label">Role</label>
                <div class="col-sm-10">
                  <input type="text" name="role" class="form-control" value="{{ $user->nama_role }}" readonly>
                </div>
              </div>
              <div class="form-group row">
                <label class="col-sm-2 col-form-label">Created at</label>
                <div class="col-sm-10">
                  <input type="text" name="created at" class="form-control" value="{{ $user->created_at }}" readonly>
                </div>
              </div>
              <div class="form-group row">
                <label class="col-sm-2 col-form-label">Updated at</label>
                <div class="col-sm-10">
                  <input type="text" name="role" class="form-control" value="{{ $user->updated_at }}" readonly>
                </div>
              </div>
            </form>

          </div>
        </div>
    </div>
    {{-- end card 1 --}}
    {{-- card 2 --}}
    <div class="col-md-4">
      <div class="card">
        <div class="card-header">

        </div>
        <div class="card-block">
          <div class="col-md-12">

            <img src="storage/gmfphotos/{{ $user->photo }}" alt="User-Profile-Image" class="img-120" style="width:100%">
            <form action="/profile/avatar" method="post" enctype="multipart/form-data">
                  @csrf
                  <div class="form-group">
                      <input type="file" class="form-control-file" name="avatar" id="avatarFile" aria-describedby="fileHelp">
                      <small id="fileHelp" class="form-text text-muted"> ukuran 512 x 512 di bawah 2 mb</small>
                  </div>
                  <button type="submit" class="btn btn-primary">Submit</button>
              </form>
          </div>

        </div>

      </div>

    </div>
    {{-- end card 2 --}}
</div>
<div class="row">
<div class="col-md-12 col-sm-12 col-xl-12">
<div class="card">
<div class="card-header">
<h3>Biodata Diri</h3>
<button id="edit" class="btn waves-effect waves-light btn-info" style="position:absolute;right:10px;top:15px" ><i class="ti-pencil"></i>Edit</button>
<button id="save" class="btn waves-effect waves-light btn-primary" style="position:absolute;right:10px;top:15px" hidden><i class="ti-save"></i>Save</button>
</div>
<div class="card-block">
<form id="formdata" action="{{ url('profile/'.$profil->id_mitra)}}" method="post">
  @csrf
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Nama Terang</label>
    <div class="col-sm-10">
      <input type="text" name="nama_terang" class="ubah form-control" value="{{ $profil->nama_mitra }}" readonly>
    </div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">NIK</label>
    <div class="col-sm-10">
      <input type="text" name="nik" class="ubah form-control" value="{{ $profil->nik }}" readonly>
    </div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Nomor Anggota</label>
    <div class="col-sm-10">
      <input type="text" name="nomor_anggota" class="ubah form-control" value="{{ $profil->nomor_anggota }}" readonly @if (checkPermission(['gmf','personal','cabang']))
        disabled
      @endif>
    </div>
  </div>

  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Nomor Sanggar</label>
    <div class="col-sm-10">
      <input type="text" name="nomor_sanggar" class="ubah form-control" value="{{ $profil->nomor_sanggar }}" readonly @if (checkPermission(['gmf','personal','cabang']))
        disabled
      @endif>
    </div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Nomor Sertifikat</label>
    <div class="col-sm-10">
      <input type="text" name="nomor_sertifikat" class="ubah form-control" value="{{ $profil->nomor_sertifikat }}" readonly @if (checkPermission(['gmf','personal','cabang']))
        disabled
      @endif>
    </div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Nomor Lisensi</label>
    <div class="col-sm-10">
      <input type="text" name="nomor_lisensi" class="ubah form-control" value="{{ $profil->nomor_lisensi }}" readonly @if (checkPermission(['gmf','personal','cabang']))
        disabled
      @endif>
    </div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Nomor Telp</label>
    <div class="col-sm-10">
      <input type="text" name="nomor_telp" class="ubah form-control" value="{{ $profil->nomor_telp }}" readonly>
    </div>
  </div>
  @php
    $kotalahir = DB::table('kabupaten')->select('Nama')->where('IDKabupaten', $profil->kota_lahir)->first();
  @endphp
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Kota Lahir</label>
    <div class="col-sm-10">
      <select class="chosen custom-selct" name="kota_lahir">

        @foreach ($kota as $kotas)
          <option value="{{ $kotas->IDKabupaten }}" @if ($profil->kota_lahir == $kotas->IDKabupaten)
            selected
          @endif>{{ $kotas->Nama }}</option>
        @endforeach
      </select>
    </div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Tanggal Lahir</label>
    <div class="col-sm-10">
      <input type="text" name="kota_lahir" class="ubah form-control" value="{{ $profil->tgl_lahir }}" readonly>
    </div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Alamat</label>
    <div class="col-sm-10">
      <input type="text" name="alamat" class="ubah form-control" value="{{ $profil->alamat }}" readonly>
    </div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Status Kawin</label>
    <div class="col-sm-10">
      <input type="text" name="status_kawin" class="ubah form-control" value="{{ $profil->status_kawin }}" readonly>
    </div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Warga Negara</label>
    <div class="col-sm-10">
      <input type="text" name="warga_negara" class="ubah form-control" value="{{ $profil->warga_negara }}" readonly>
    </div>
  </div>
  <div class="form-group row">
    <label class="col-sm-2 col-form-label">Agama</label>
    <div class="col-sm-10">
      <input type="text" name="agama" class="ubah form-control" value="{{ $profil->agama }}" readonly>
    </div>
  </div>
</form>
</div>
</div>
</div>
</div>
@endsection
@section('javascript')
  <!-- notification js -->
  <script type="text/javascript" src="{{asset('assets/js/bootstrap-growl.min.js')}}"></script>
  {{-- <script type="text/javascript" src="{{asset('assets/pages/notification/notification.js')}}"></script> --}}
  {{-- <script src="{{asset('assets/js/pcoded.min.js')}}"></script> --}}
  {{-- <script src="{{asset('assets/js/vertical-layout.min.js')}} "></script>
  <script src="{{asset('assets/js/jquery.mCustomScrollbar.concat.min.js')}}"></script> --}}
  <script src="{{ asset('assets/js/custom-notif.js') }}"></script>
<script src="{{asset('js/edit-profile.js')}}"></script>
<script>
  $('.chosen').chosen();
</script>
@endsection